
%global meadversion 2.5.5
%global namedversion 2.5.5.SP1-redhat-2
%global meadalpha .SP1_redhat_2
%global meadrel .2
%global serial 1
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}picketlink-bindings}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.5.5.SP1-redhat-2

Name:           %{?scl_prefix}picketlink-bindings
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        PicketLink Container Bindings
Group:          Development/Java

%if %with mead
Source100: picketlink-bindings-parent-2.5.5.SP1-redhat-2-scm-sources.zip
Source102: picketlink-wildfly8-2.5.5.SP1-redhat-2.jar
Source103: picketlink-wildfly8-2.5.5.SP1-redhat-2.pom
Source104: picketlink-wildfly8-2.5.5.SP1-redhat-2-sources.jar
Source105: picketlink-jbas-common-2.5.5.SP1-redhat-2-javadoc.jar
Source106: picketlink-jbas-common-2.5.5.SP1-redhat-2.pom
Source107: picketlink-jbas-common-2.5.5.SP1-redhat-2.jar
Source108: picketlink-jbas-common-2.5.5.SP1-redhat-2-sources.jar
Source109: picketlink-bindings-parent-2.5.5.SP1-redhat-2-project-sources.tar.gz
Source110: picketlink-bindings-parent-2.5.5.SP1-redhat-2-javadoc.jar
Source111: picketlink-bindings-parent-2.5.5.SP1-redhat-2.pom
Source112: picketlink-wildfly-common-2.5.5.SP1-redhat-2-sources.jar
Source113: picketlink-wildfly-common-2.5.5.SP1-redhat-2-javadoc.jar
Source114: picketlink-wildfly-common-2.5.5.SP1-redhat-2.pom
Source115: picketlink-wildfly-common-2.5.5.SP1-redhat-2.jar
Source116: picketlink-tomcat-common-2.5.5.SP1-redhat-2.pom
Source117: picketlink-tomcat-common-2.5.5.SP1-redhat-2.jar
Source118: picketlink-tomcat-common-2.5.5.SP1-redhat-2-sources.jar
Source119: picketlink-tomcat-common-2.5.5.SP1-redhat-2-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.jboss.org/picketlink
Requires:       %{?scl_prefix}picketlink-wildfly8 = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
PicketLink Federation bindings for different containers.

%package -n %{?scl_prefix}picketlink-wildfly8
Summary:        PicketLink Distribution - WildFly8
Group:          Development/Java


%description -n %{?scl_prefix}picketlink-wildfly8
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for picketlink-bindings
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n redhat-picketlink-bindings -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/picketlink-wildfly8-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-wildfly8-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/picketlink-wildfly8-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-wildfly8-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/picketlink-bindings-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/picketlink-bindings-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/picketlink-bindings-%{namedversion} -x META-INF/\*
%{__ln_s} picketlink-bindings-%{namedversion} %{buildroot}%{_javadocdir}/picketlink-bindings
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}picketlink-bindings
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}picketlink-wildfly8
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/picketlink-wildfly8-%{namedversion}.jar
%{_javadir}/picketlink-wildfly8.jar
%{_javadir}/picketlink-wildfly8-%{namedversion}-sources.jar
%{_javadir}/picketlink-wildfly8-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/picketlink-bindings-%{namedversion}
%{_javadocdir}/picketlink-bindings
%endif

%changelog
* Tue Oct 20 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_2.2
- build using eap7 profile

* Tue Oct 20 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_2.1
- fix build

* Tue Oct 20 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_1.1
- 2.5.5.SP1

* Wed Jul 22 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-1.Final_redhat_1.1
- release

